> ## Documentation Index
> Fetch the complete documentation index at: https://dom-6a1f70d6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Modifier Adresse



## OpenAPI

````yaml openapi.json put /adresses/{adresse_id}
openapi: 3.0.3
info:
  title: DELIVERY API
  description: API pour la plateforme fournissant une api de gestion de livraison
  version: 1.0.0
servers: []
security: []
paths:
  /adresses/{adresse_id}:
    put:
      tags:
        - Adresses
        - Adresses
      summary: Modifier Adresse
      operationId: modifier_adresse_adresses__adresse_id__put
      parameters:
        - name: adresse_id
          in: path
          required: true
          schema:
            type: string
            title: Adresse Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AdresseCreate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AdresseCreate:
      properties:
        pays:
          type: string
          title: Pays
        ville:
          type: string
          title: Ville
        position_point_wkt:
          type: string
          title: Position Point Wkt
        zone_polygone_wkt:
          anyOf:
            - type: string
            - nullable: true
          title: Zone Polygone Wkt
        utilisateur_id:
          anyOf:
            - type: string
              format: uuid
            - nullable: true
          title: Utilisateur Id
        marchand_id:
          anyOf:
            - type: string
              format: uuid
            - nullable: true
          title: Marchand Id
        livreur_id:
          anyOf:
            - type: string
              format: uuid
            - nullable: true
          title: Livreur Id
        client_id:
          anyOf:
            - type: string
              format: uuid
            - nullable: true
          title: Client Id
      type: object
      required:
        - pays
        - ville
        - position_point_wkt
      title: AdresseCreate
      example:
        client_id: abf4c1c1-xxxx-xxxx-xxxx-xxxxxxxxxxxx
        pays: France
        position_point_wkt: POINT(2.3522 48.8566)
        ville: Paris
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.